import java.util.HashMap;
import java.util.Map;

import javax.jms.Connection;
import javax.jms.MessageProducer;
import javax.jms.Queue;
import javax.jms.Session;
import javax.jms.TextMessage;

import org.hornetq.api.core.TransportConfiguration;
import org.hornetq.api.jms.HornetQJMSClient;
import org.hornetq.core.remoting.impl.netty.NettyConnectorFactory;
import org.hornetq.core.remoting.impl.netty.TransportConstants;
import org.hornetq.jms.client.HornetQConnectionFactory;

public class HornetQClientSender {

	public static void main(String[] args) throws Exception {

		Connection connection = null;
		try {

			Map<String, Object> connectionParams = new HashMap<String, Object>();
			connectionParams
					.put(TransportConstants.HOST_PROP_NAME, "127.0.0.1");
			connectionParams.put(TransportConstants.PORT_PROP_NAME, 5545);
			TransportConfiguration transportConfiguration = new TransportConfiguration(
					NettyConnectorFactory.class.getName(), connectionParams);
			HornetQConnectionFactory cf = new HornetQConnectionFactory(false,
					transportConfiguration);
			connection = cf.createConnection();
			Session session = connection.createSession(false,
					Session.AUTO_ACKNOWLEDGE);
			connection.start();
			Queue queue = HornetQJMSClient
					.createQueue("QueueA");
			MessageProducer producer = session.createProducer(queue);
			TextMessage message = session
					.createTextMessage("Message to the queue");
			producer.send(message);
			System.out.println("Sent message: " + message.getText());

		} finally {
			
			if (connection != null) {
				connection.close();
			}
		}
	}
}